using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.SkuDailyPurchaseAndSales
{
    class Program
    {
        //static async Task Main(string[] args)
        //{
        //    Console.WriteLine("进入保存每日采购数和售出数");
        //    var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
        //    {
        //        services.AddHostedService<Services>();
        //    });

        //    await builder.RunConsoleAsync();
        //}

        static void Main(string[] args)
        {
            var start = DateTime.Parse("2019-10-21");
            while (start.AddDays(1) < DateTime.Now)
            {
                Console.WriteLine(start.ToString("yyyy-MM-dd"));
                new Services().Init(start, start.AddDays(1));
                start = start.AddDays(1);
            }
        }

    }
}
